Notice: Freedome v2.0.1 Issue on iOS 8

If you (like me) have an Apple device running iOS 8 and use F-Secure Freedome, please avoid updating to version 2.0.1.


If you (like me) have already updated, you may see this after opening the app:

Freedome 2.0.1 on iOS 8

Do not “Remove Old VPN configurations” — just close the app. Version 2.0.1 should work with its existing configurations.

If you need to toggle Freedome on/off…

Use: Settings, General, VPN. Click the info button for your configuration and toggle “Connect On Demand”.

iOS 8 VPN settings

You’ll be limited to only the locations that you currently have installed. But the ones that you have should work based on my testing.

The developers have already submitted a fixed version (v2.0.2) to Apple earlier this morning which is pending Apple’s review. More details are available from our community forum. Also, Freedome’s Twitter account.

We are very sorry for the inconvenience.

Post by — Sean

On 23/09/14 At 01:45 PM

Read more: Notice: Freedome v2.0.1 Issue on iOS 8

Story added 23. September 2014, content source with full text you can find at link above.